+++ /dev/null
-#!/bin/bash
-
-set -ex
-
-# the following two methods exist in scripts/build_utils.sh
-pkgs=( "tox" )
-install_python_packages "pkgs[@]"
-
-# trims leading slashes
-BRANCH=`branch_slash_filter ${GIT_BRANCH}`
-
-# create the docs build with tox
-$VENV/tox -rv -e docs
-
-# publish docs to http://docs.ceph.com/ceph-lvm/$BRANCH/ create
-# a `$BRANCH` dir because the project has stable branches that will
-# publish docs that might be different from other versions (similar,
-# but not exactly the same to what the Ceph project does)
-mkdir -p "/var/ceph-lvm/docs/$BRANCH"
-rsync -auv --delete .tox/docs/tmp/html/* "/var/ceph-lvm/docs/$BRANCH/"
-
+++ /dev/null
-- job:
- name: ceph-lvm-docs
- node: docs
- project-type: freestyle
- defaults: global
- display-name: 'ceph-lvm: docs build'
- quiet-period: 5
- block-downstream: false
- block-upstream: false
- retry-count: 3
- properties:
- - github:
- url: https://github.com/ceph/ceph-lvm
- logrotate:
- daysToKeep: -1
- numToKeep: 10
- artifactDaysToKeep: -1
- artifactNumToKeep: -1
-
- triggers:
- - github
-
- scm:
- - git:
- url: https://github.com/ceph/ceph-lvm
- branches:
- - master
- # as more stable branches are published, they need to be
- # added here
- #- stable-1.0
- browser: auto
- skip-tag: true
- timeout: 20
-
- builders:
- - shell:
- !include-raw:
- - ../../../scripts/build_utils.sh
- - ../../build/build
--- /dev/null
+#!/bin/bash
+
+set -ex
+
+# the following two methods exist in scripts/build_utils.sh
+pkgs=( "tox" )
+install_python_packages "pkgs[@]"
+
+# trims leading slashes
+BRANCH=`branch_slash_filter ${GIT_BRANCH}`
+
+# create the docs build with tox
+$VENV/tox -rv -e docs
+
+# publish docs to http://docs.ceph.com/ceph-volume/$BRANCH/ create
+# a `$BRANCH` dir because the project has stable branches that will
+# publish docs that might be different from other versions (similar,
+# but not exactly the same to what the Ceph project does)
+mkdir -p "/var/ceph-volume/docs/$BRANCH"
+rsync -auv --delete .tox/docs/tmp/html/* "/var/ceph-volume/docs/$BRANCH/"
+
--- /dev/null
+- job:
+ name: ceph-volume-docs
+ node: docs
+ project-type: freestyle
+ defaults: global
+ display-name: 'ceph-volume: docs build'
+ quiet-period: 5
+ block-downstream: false
+ block-upstream: false
+ retry-count: 3
+ properties:
+ - github:
+ url: https://github.com/ceph/ceph-volume
+ logrotate:
+ daysToKeep: -1
+ numToKeep: 10
+ artifactDaysToKeep: -1
+ artifactNumToKeep: -1
+
+ triggers:
+ - github
+
+ scm:
+ - git:
+ url: https://github.com/ceph/ceph-volume
+ branches:
+ - master
+ # as more stable branches are published, they need to be
+ # added here
+ #- stable-1.0
+ browser: auto
+ skip-tag: true
+ timeout: 20
+
+ builders:
+ - shell:
+ !include-raw:
+ - ../../../scripts/build_utils.sh
+ - ../../build/build